haskell-language-server-2.7.0.0: LSP server for GHC

Safe Haskell | None
Language | GHC2021

Ide.Plugin.ChangeTypeSignature

Contents

- For Unit Tests

Description

An HLS plugin to provide code actions to change type signatures

Synopsis

- descriptor :: PluginId -> PluginDescriptor IdeState
- errorMessageRegexes :: [Text]

# Documentation

descriptor :: PluginId -> PluginDescriptor IdeState #

# For Unit Tests

errorMessageRegexes :: [Text] #

List of regexes that match various Error Messages